首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX 提问指南
Coding
V2EX  ›  问与答

谷歌插件出现 crx_version_number_invalid 安装错误

  •  2
     
  •   xiaomeimei · 2017-12-08 15:49:05 +08:00 · 5190 次点击
    这是一个创建于 733 天前的主题,其中的信息可能已经有所发展或是发生改变。
    谷歌最新版本浏览器不会有这个问题,360 等国内浏览器都出现了这个问题。如何解决
    7 回复  |  直到 2018-01-16 17:19:32 +08:00
        1
    xmcp   2017-12-11 13:39:40 +08:00
    目测原因是 chrome webstore 打包的 CRX 的版本号( CRX 文件偏移量 4 的值)从原来的 0x02 升级到 0x03 了,一票国产浏览器都不支持。
    同被困扰,求解决方案。
        2
    xmcp   2017-12-11 14:14:15 +08:00   ♥ 2
    发现用旧版 chrome (比如 33.0.1750.154 )访问 webstore 就能下到版本号是 2 的 CRX,期间抓个包,这个 CRX 就适用于国产浏览器了。
        3
    xiaomeimei   2017-12-11 21:43:15 +08:00
    @xmcp 非常感谢!
        4
    Guguke   2017-12-28 09:23:59 +08:00
    找到了 https://bugs.chromium.org/p/chromium/issues/detail?id=720092 这边是 v2 migrate 到 v3 的 tracking bug.
        5
    king2014   2018-01-15 14:06:00 +08:00
    @xiaomeimei 能不能去回应下这个帖子?https://www.v2ex.com/t/423000#reply15
        6
    AlwaysBee   2018-01-15 19:12:21 +08:00
    楼主不回应一下么 https://www.v2ex.com/t/423000
        7
    mnsw   2018-01-16 17:19:32 +08:00
    抄袭么?
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   4245 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 31ms · UTC 05:48 · PVG 13:48 · LAX 21:48 · JFK 00:48
    ♥ Do have faith in what you're doing.